Skip to main content
`Ctrl`+`K`

# PetscFunctionListFind

Find function registered under given name Not Collective, No Fortran Support

## Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFunctionListFind(PetscFunctionList flist, const char name[], PetscErrorCodeFn **fptr)

## Input Parameters

- fl - the function list

- name - name registered for the function

## Output Parameter

- fptr - the function pointer if name was found, else `NULL`

## See Also

`PetscFunctionListAdd()`, `PetscFunctionList`, `PetscObjectQueryFunction()`, `PetscFunctionListDuplicate()`

## Level

developer

## Location

src/sys/dll/reg.c

## Examples

src/ml/da/tutorials/ex3.c
src/ts/tutorials/ex11.c
src/ksp/ksp/tutorials/ex74.c
src/ts/utils/dmplexlandau/tutorials/ex2.c
src/ts/tutorials/ex9.c
src/ts/tutorials/ex8.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages